### Constructor

# Gsk.BlendNode.new

#### Declaration [src]

    GskRenderNode*
    gsk_blend_node_new (
      GskRenderNode* bottom,
      GskRenderNode* top,
      GskBlendMode blend_mode
    )

#### Description [src]

Creates a `GskRenderNode` that will use `blend_mode` to blend the `top` node onto the `bottom` node.

#### Parameters

`bottom` | `GskRenderNode`
| The bottom node to be drawn
| Ownership is not transferred to the callee
`top` | `GskRenderNode`
| The node to be blended onto the `bottom` node
| Ownership is not transferred to the callee
`blend_mode` | `GskBlendMode`
| The blend mode to use

#### Return value

Returns: `GskBlendNode`
A new `GskRenderNode`
Ownership of the data is transferred to the caller